s6
Software
skarnet.org

# The s6-mkfifodir program

s6-mkfifodir creates a fifodir.

## Interface

         s6-mkfifodir [ -f ] [ -g gid ] fifodir

s6-mkfifodir creates fifodir, belonging to the current user.

## Options

- `-f` : force permissions. If fifodir already exists, change its permissions according to the `-g` options. By default, if fifodir exists, s6-mkfifodir does nothing.
- `-g gid` : make fifodir only listenable by members of group gid. If this option is not given, the fifodir is made publically listenable.